FLAC::Metadata::Unknown Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Unknown:

## Public Member Functions

| Unknown (const Unknown &object)
| Unknown (const ::FLAC__StreamMetadata &object)
| Unknown (const ::FLAC__StreamMetadata *object)
| Unknown (::FLAC__StreamMetadata *object, bool copy)
Unknown & | operator= (const Unknown &object)
Unknown & | operator= (const ::FLAC__StreamMetadata &object)
Unknown & | operator= (const ::FLAC__StreamMetadata *object)
Unknown & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const Unknown &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const Unknown &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
const FLAC__byte * | get_data () const
bool | set_data (const FLAC__byte *data, uint32_t length)
bool | set_data (FLAC__byte *data, uint32_t length, bool copy)
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const

## Protected Member Functions

Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()

## Protected Attributes

::FLAC__StreamMetadata * | object_

## Detailed Description

Opaque metadata block for storing unknown types. This should not be used unless you know what you are doing; it is currently used only internally to support forward compatibility of metadata blocks. See the overview for more,

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation